---

- name: Install tools
  hosts: localhost
  gather_facts: False
  connection: local
  vars:
    galaxy_tools_tool_list_files: "{{ TOOL_LISTS.split(',') }}"
    galaxy_tools_ignore_errors: true
  tasks:
    - debug:
        msg: "{{ galaxy_tools_tool_list_files }}"

    - name: Create temporary dir for venv
      ansible.builtin.tempfile:
        state: directory
      register: temp_venv_dir

    - set_fact: galaxy_tools_base_dir="{{ temp_venv_dir.path }}"

    - name: Install bioblend
      pip:
        name:
          - bioblend==1.4.0
        state: present
        virtualenv: "{{ galaxy_tools_base_dir }}/venv"
        virtualenv_command: "{{ pip_virtualenv_command | default( 'virtualenv' ) }}"

    - name: Copy ephemeris deps list
      copy:
        src: requirements_ephemeris.txt
        dest: "{{ galaxy_tools_base_dir }}/requirements_ephemeris.txt"

    - name: Install ephemeris deps
      pip:
        requirements: "{{ galaxy_tools_base_dir }}/requirements_ephemeris.txt"
        virtualenv: "{{ galaxy_tools_base_dir }}/venv"
        virtualenv_command: "{{ pip_virtualenv_command | default( 'virtualenv' ) }}"

    - name: Install ephemeris
      pip:
        name:
          - ephemeris==0.10.10
        extra_args: "--no-deps" # To avoid installing useless pysam
        state: present
        virtualenv: "{{ galaxy_tools_base_dir }}/venv"
        virtualenv_command: "{{ pip_virtualenv_command | default( 'virtualenv' ) }}"

    - name: Install Tool Shed tools
      command: '{{ galaxy_tools_base_dir }}/venv/bin/shed-tools install -t "{{ item }}" -a "{{ galaxy_tools_api_key }}" -g "{{ galaxy_tools_galaxy_instance_url }}"'
      with_items:
        - "{{ galaxy_tools_tool_list_files }}"
      register: install_result
      changed_when: "'installed successfully' in install_result.stderr"
      failed_when: ('Error installing' in install_result.stderr) or ('Missing required' in install_result.stderr) or (install_result.rc != 0)
      ignore_errors: "{{ galaxy_tools_ignore_errors }}"
